Eclipse Platform Release 3.7

## org.eclipse.debug.core
Interface ILaunchesListener

All Known Subinterfaces:
  ILaunchesListener2

    public interface ILaunchesListener

A launches listener is notified of launches as they are added and removed from the launch manager. Also, when a process or debug target is added to a launch, listeners are notified of a change.

This interface is analogous to `ILaunchListener`, except notifications are batched to include more than one launch object when possible.

Clients may implement this interface.

Clients may also implement the extension interface `ILaunchesListener2` for notification of more than one launch being terminated.

Since:
  2.1
See Also:
  `ILaunch`, `ILaunchManager`, `ILaunchListener`, `ILaunchesListener2`

Method Summary
`void` `launchesAdded(ILaunch[] launches)` Notifies this listener that the specified launches have been added.
`void` `launchesChanged(ILaunch[] launches)` Notifies this listener that the specified launches have changed.
`void` `launchesRemoved(ILaunch[] launches)` Notifies this listener that the specified launches have been removed.

Method Detail

### launchesRemoved

    void launchesRemoved(ILaunch[] launches)

  Notifies this listener that the specified launches have been removed.

  Parameters:
    `launches` - the removed launch objects

### launchesAdded

    void launchesAdded(ILaunch[] launches)

  Notifies this listener that the specified launches have been added.

  Parameters:
    `launches` - the newly added launch objects

### launchesChanged

    void launchesChanged(ILaunch[] launches)

  Notifies this listener that the specified launches have changed. For example, a process or debug target has been added to a launch.

  Parameters:
    `launches` - the changed launch object

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.